package blobovnicza

type Metrics interface {
	IncOpenBlobovniczaCount()
	DecOpenBlobovniczaCount()

	AddOpenBlobovniczaSize(size uint64)
	SubOpenBlobovniczaSize(size uint64)

	AddOpenBlobovniczaItems(items uint64)
	SubOpenBlobovniczaItems(items uint64)
}

type NoopMetrics struct{}

func (m *NoopMetrics) IncOpenBlobovniczaCount()       {}
func (m *NoopMetrics) DecOpenBlobovniczaCount()       {}
func (m *NoopMetrics) AddOpenBlobovniczaSize(uint64)  {}
func (m *NoopMetrics) SubOpenBlobovniczaSize(uint64)  {}
func (m *NoopMetrics) AddOpenBlobovniczaItems(uint64) {}
func (m *NoopMetrics) SubOpenBlobovniczaItems(uint64) {}
