package object

import (
	"git.frostfs.info/TrueCloudLab/frostfs-sdk-go/bearer"
	"git.frostfs.info/TrueCloudLab/frostfs-sdk-go/container/acl"
	"git.frostfs.info/TrueCloudLab/frostfs-sdk-go/user"
)

type RequestContextKeyT struct{}

var RequestContextKey = RequestContextKeyT{}

// RequestContext is a context passed between middleware handlers.
type RequestContext struct {
	Namespace string

	SenderKey []byte

	ContainerOwner user.ID

	Role acl.Role

	SoftAPECheck bool

	BearerToken *bearer.Token
}
