package chainbase

import (
	"context"

	"git.frostfs.info/TrueCloudLab/policy-engine/pkg/engine"
	"git.frostfs.info/TrueCloudLab/policy-engine/pkg/engine/inmemory"
)

type inmemoryLocalOverrideStorage struct {
	engine.LocalOverrideStorage
}

func NewInmemoryLocalOverrideDatabase() LocalOverrideDatabase {
	return &inmemoryLocalOverrideStorage{
		LocalOverrideStorage: inmemory.NewInmemoryLocalStorage(),
	}
}

func (cs *inmemoryLocalOverrideStorage) Init() error {
	return nil
}

func (cs *inmemoryLocalOverrideStorage) Open(_ context.Context) error {
	return nil
}

func (cs *inmemoryLocalOverrideStorage) Close() error {
	return nil
}
