package pilorama

import (
	"path/filepath"
	"testing"

	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/local_object_storage/internal/storagetest"
)

func TestGeneric(t *testing.T) {
	newPilorama := func(t *testing.T) storagetest.Component {
		return NewBoltForest(WithPath(filepath.Join(t.TempDir(), "pilorama")))
	}

	storagetest.TestAll(t, newPilorama)
}
